Bug 435658 - HDMI Audio patch for AMD ATI chipsets
HDMI Audio patch for AMD ATI chipsets
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
high Severity medium
: rc
: ---
Assigned To: Bhavna Sarathy
Ben Levenson
: OtherQA
Depends On:
Blocks: 253746
  Show dependency treegraph
 
Reported: 2008-03-02 22:20 EST by Yang, Libin
Modified: 2009-06-19 22:31 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:11:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a patch for ATI HDMI Device IDs (957 bytes, patch)
2008-03-02 22:31 EST, Yang, Libin
no flags Details | Diff
AMD HDMI patch (1.01 KB, patch)
2008-03-07 14:38 EST, Bhavna Sarathy
no flags Details | Diff

  None (edit)
Description Yang, Libin 2008-03-02 22:20:45 EST
Add HDMI support for AMD ATI chipsets to allow HDMI to work on a wide variety of
chipsets. This patch is based on kernel-2.6.18-83.el5. The similar patch has
been accepted by ALSA in its hg tree. You can found the similar patch in
http://git.kernel.org/?p=linux/kernel/git/perex/alsa.git;a=commitdiff;h=f98d4a4a2ae926238a6dc908382dc6a963c44fe5;hp=864cae534636695febd30659dde9f4f223f3e244

--- sound/pci/hda/hda_intel.c.orig	2008-03-03 03:41:25.000000000 -0500
+++ sound/pci/hda/hda_intel.c	2008-03-03 03:43:24.000000000 -0500
@@ -1777,6 +1777,9 @@
 	{ 0x1002, 0xaa20, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_ATIHDMI }, /* ATI
RV635 HDMI */
 	{ 0x1002, 0xaa28, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_ATIHDMI }, /* ATI
RV620 HDMI */
 	{ 0x1002, 0xaa30, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_ATIHDMI }, /* ATI
RV770 HDMI */
+	{ 0x1002, 0xaa38, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_ATIHDMI }, /* ATI
HDMI */
+	{ 0x1002, 0xaa40, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_ATIHDMI }, /* ATI
HDMI */
+	{ 0x1002, 0xaa48, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_ATIHDMI }, /* ATI
HDMI */
 	{ 0x1106, 0x3288, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_VIA }, /* VIA
VT8251/VT8237A */
 	{ 0x1039, 0x7502, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_SIS }, /* SIS966 */
 	{ 0x10b9, 0x5461, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_ULI }, /* ULI M5461 */
Comment 1 Yang, Libin 2008-03-02 22:31:25 EST
Created attachment 296541 [details]
a patch for ATI HDMI Device IDs

A patch for ATI HDMI Device IDs
Comment 2 Bhavna Sarathy 2008-03-07 14:38:04 EST
Cleanly applied to RHEL tree, here's the RHEL patch identical to Libin's patch
but with headers that Red Hat prefers.
Comment 3 Bhavna Sarathy 2008-03-07 14:38:45 EST
Created attachment 297242 [details]
AMD HDMI patch
Comment 4 Bhavna Sarathy 2008-03-07 14:47:27 EST
Peter, if I get the go ahead regarding it's inclusion in the snapshot build, I
can create an RPM for testing.  Not sure why this bit was missing from the
original HDMI patch that came to us.
Comment 5 Bhavna Sarathy 2008-03-10 10:44:56 EDT
Russ, please add this to the masterbug for better visibility and tracking.  This
patch will be included in a snapshot build.

Brew build for testing:
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=1203579
Comment 6 Russell Doty 2008-03-11 15:47:49 EDT
Bhavana,

Do we have hardware for this? Is it in the Ant systems?
Comment 7 Bhavna Sarathy 2008-03-11 16:21:32 EDT
Yes, I believe so.   The chipset team uses Shiner and they are planning on
sending you a couple as well.
Comment 9 Russell Doty 2008-03-13 13:33:38 EDT
Peter Martuccelli has two AMD Ant systems with HDMI. One of the Ants has
RS780/SB700 chipset and the other one has (I believe) RS690/SB600 chipset.
Comment 10 Russell Doty 2008-03-14 12:50:31 EDT
Changed summary to reflect that this is HDMI audio, not HDMI video.
Comment 12 Don Zickus 2008-03-19 12:24:39 EDT
in kernel-2.6.18-86.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 14 John Poelstra 2008-04-02 17:35:12 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot3--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 15 John Poelstra 2008-04-09 18:42:03 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot4--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 17 errata-xmlrpc 2008-05-21 11:11:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.